Bug 693308 - Patch gstreamer-plugins-good to prevent crashes on low-end machines
Patch gstreamer-plugins-good to prevent crashes on low-end machines
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-04 06:02 EDT by David Nielsen
Modified: 2011-05-24 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: gstreamer-plugins-base-0.10.33-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-24 22:59:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2011-04-04 06:02:45 EDT
it would greatly benefit Fedora and thus the GNOME3 liveUSB distro if the
following patch was applied to gstreamer-plugins-good. The patch is accepted upstream in .28 (F15 appears to ship .27) and has had extensive testing in Ubuntu.

http://cgit.freedesktop.org/gstreamer/gst-plugins-good/commit/?id=1e2c1467ae042a3c6bb1a6bc0c07aeff13ec5edb

Doing so prevents highly reproducible crashing when playing back media on a
low-end machines such as a netbook.

see:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/644644 

Reproducible: Always

Steps to Reproduce:
1. Playback media on low-end machine
Actual Results:  
Pulseaudio will crash or the excessively high CPU load will cause severe
skipping

Expected Results:  
Smooth playback, this is 2011
Comment 1 Fedora Update System 2011-05-13 07:19:07 EDT
gstreamer-0.10.33-1.fc15,gstreamer-plugins-base-0.10.33-1.fc15,gstreamer-plugins-bad-free-0.10.22-1.fc15,gstreamer-plugins-good-0.10.29-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gstreamer-0.10.33-1.fc15,gstreamer-plugins-base-0.10.33-1.fc15,gstreamer-plugins-bad-free-0.10.22-1.fc15,gstreamer-plugins-good-0.10.29-1.fc15
Comment 2 Fedora Update System 2011-05-13 23:07:37 EDT
Package gstreamer-0.10.33-1.fc15, gstreamer-plugins-base-0.10.33-1.fc15, gstreamer-plugins-bad-free-0.10.22-1.fc15, gstreamer-plugins-good-0.10.29-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gstreamer-0.10.33-1.fc15 gstreamer-plugins-base-0.10.33-1.fc15 gstreamer-plugins-bad-free-0.10.22-1.fc15 gstreamer-plugins-good-0.10.29-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gstreamer-0.10.33-1.fc15,gstreamer-plugins-base-0.10.33-1.fc15,gstreamer-plugins-bad-free-0.10.22-1.fc15,gstreamer-plugins-good-0.10.29-1.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-05-17 01:37:23 EDT
Package gstreamer-plugins-base-0.10.33-1.fc15, gstreamer-plugins-bad-free-0.10.22-1.fc15, gstreamer-plugins-good-0.10.29-1.fc15, gstreamer-0.10.34-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gstreamer-plugins-base-0.10.33-1.fc15 gstreamer-plugins-bad-free-0.10.22-1.fc15 gstreamer-plugins-good-0.10.29-1.fc15 gstreamer-0.10.34-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gstreamer-0.10.34-1.fc15,gstreamer-plugins-base-0.10.33-1.fc15,gstreamer-plugins-bad-free-0.10.22-1.fc15,gstreamer-plugins-good-0.10.29-1.fc15
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-05-24 22:59:28 EDT
gstreamer-plugins-base-0.10.33-1.fc15, gstreamer-plugins-bad-free-0.10.22-1.fc15, gstreamer-plugins-good-0.10.29-1.fc15, gstreamer-0.10.34-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.